Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::PK_Ops::Key_Agreement Class Referenceabstract

`#include <pk_ops.h>`

Inheritance diagram for Botan::PK_Ops::Key_Agreement:

## Public Member Functions
virtual secure_vector< uint8_t > | agree (size_t key_len, const uint8_t other_key[], size_t other_key_len, const uint8_t salt[], size_t salt_len)=0
virtual | ~Key_Agreement ()=default

## Detailed Description

A generic key agreement operation (eg DH or ECDH)

Definition at line 108 of file pk_ops.h.

## Constructor & Destructor Documentation

virtual Botan::PK_Ops::Key_Agreement::~Key_Agreement | ( |  | ) |
| virtual default

## Member Function Documentation

virtual secure_vector<uint8_t> Botan::PK_Ops::Key_Agreement::agree | ( | size_t | key_len,
|  | const uint8_t | other_key[],
|  | size_t | other_key_len,
|  | const uint8_t | salt[],
|  | size_t | salt_len
| ) |  |
| pure virtual

Implemented in Botan::PK_Ops::Key_Agreement_with_KDF.

The documentation for this class was generated from the following file:

- src/lib/pubkey/pk_ops.h